#!/bin/sh
# Delete all trace of an account
USR_LIB_LINUXCONF=/usr/lib64/linuxconf
if [ ! -d $USR_LIB_LINUXCONF ] ; then
	USR_LIB_LINUXCONF=/usr/lib/linuxconf
fi
. $USR_LIB_LINUXCONF/lib/accountcmd.sh

echo Deleting account $USERID
if [ ! -d $HOMEDIR ] ; then
	echo "     " $HOMEDIR is not a directory
	HOMEDIR=
else
	OWNER=`$USR_LIB_LINUXCONF/lib/fileowner $HOMEDIR $DOMAIN`
	if [ "$USERID" != "$OWNER" ] ; then
		echo "     " $HOMEDIR not owned by $USERID. Not deleted
		HOMEDIR=
	else
		echo "     " Deleting home directory $HOMEDIR
	fi
fi
if [ ! -f $INBOX ] ; then
	INBOX=
else
	echo "     " Deleting inbox $INBOX
fi
rm -f $INBOX
rm -fr $HOMEDIR

